#!/usr/bin/pgtclsh
   package require Tclx
   lappend  auto_path /u/ccdev/dbi
   initdbi
   svconnect [info hostname] 2002 notify_read
   sqlsetid exptest
   sqllisten -callback ro -facility imageid exposures(,ro_end)

proc tuple {data} {
   lassign $data dbdata val
   lassign $dbdata db tuple
   set tuple [split $tuple "(,)"]
   lassign $tuple tname sel col
   return [list $db $tname $sel $col $val]
}

proc notify_read {fd} {
   set data [gets $fd]
   lvarpop data
   lvarpop data
   lassign [tuple $data] db tname sel col val
   if {$col == "ro_end"} {
	global ro
	set ro 1
    }
}
    set   f [open "/u/ccdev/jiang/exptime.dat" r]
    gets $f etime
    close $f
   sqlset -facility setups setup 0
   sqlset -facility setups exposure(0,value) $etime
   sqlset -facility setups flags(windowset,value) 1
   sqlset -facility setups flags(start,value) 1
