#!/usr/bin/pgtclsh
   package require Tclx
   lappend  auto_path /u/ccdev/dbi
   initdbi
   svconnect [info hostname] 2002 notify_read
   sqlsetid exptest
proc tuple {data} {
   lassign $data dbdata val
   lassign $dbdata db tuple
   set tuple [split $tuple "(,)"]
   lassign $tuple tname sel col
   return [list $db $tname $sel $col $val]
}
proc notify_read {fd} {
   set data [gets $fd]
   lvarpop data
   lvarpop data
   lassign [tuple $data] db tname sel col val
}
   set record "Yes"
   set data_dir "/data"
   set suffix "ccd"
   set root_name "d"
   set shutter 1
   set setupnum 0

#   set etime 1222
#   set nr 2048
#   set nc 2048
#   set sr 0
#   set sc 0
#   set b 0
#   set rspeed Slow
#   set obj_lable testt

    set   f [open "/u/ccdev/jiang/fff.dat" r]
    gets $f etime
    gets $f nr
    gets $f nc
    gets $f sr
    gets $f sc
    gets $f b
    gets $f rspeed
    gets $f obj_lable
    close $f

   sqlset -facility setups setup 0
   sqlset -facility setups record($setupnum,value) $record
   sqlset -facility setups record_dir($setupnum,value) $data_dir
   sqlset -facility setups record_suffix($setupnum,value) $suffix
   sqlset -facility setups record_root($setupnum,value) $root_name
   sqlset -facility setups binning($setupnum,value) $b
   sqlset -facility setups readspeed($setupnum,value) $rspeed
   sqlset -facility setups nr($setupnum,value) $nr
   sqlset -facility setups nc($setupnum,value) $nc
   sqlset -facility setups sr($setupnum,value) $sr
   sqlset -facility setups sc($setupnum,value) $sc
   sqlset -facility setups flags(windowset,value) 1
   sqlset -facility setups exposure(0,value) $etime
   sqlset -facility setups obstype($setupnum,value) $shutter
   sqlset -facility setups object($setupnum,value) $obj_lable
   sqlset -facility setups flags(start,value) 1


