#define OCSCMD_H
#define MAXLINE 1024
#define LISTENQ 1024
#define CCDPORT 2002       //notifier port

enum CmdPriority{PRI_NORMAL,PRI_HIGHER,PRI_HIGHEST,PRI_REALTIME};
struct TheCommand{
	char strCmdCUID[MAXLINE];
	char *strCmdParameter;
	enum CmdPriority cpPriority;
	int bSync;
};

enum Binning{Binning0,Binning1,Binning2};
enum Gain{Gain0,Gain1,Gain2,Gain3};
enum Obstype{ObsNormal,ObsDark};
enum Readspeed{RdFast,RdMedium,RdSlow};
enum Record{RecYes,RecNo};
struct SetupParameter{
	int exposure;
	enum Binning binning;
	enum Gain gain;
	int nc;
	int nr;
	int sc;
	int sr;
	char object[MAXLINE];
	enum Obstype obstype;
	enum Readspeed readspeed;
	enum Record record;
	char record_dir[MAXLINE];
	char record_root[MAXLINE];
	char record_suffix[MAXLINE];
	char observername[MAXLINE];
};
